<?xml version="1.0"?>
<configuration>
    <system.serviceModel>
        <bindings>
            <basicHttpBinding>
                <binding name="BasicHttpBinding_IWebService" closeTimeout="24.00:00:00"
                    openTimeout="24.00:00:00" receiveTimeout="24.00:00:00" sendTimeout="24.00:00:00"
                    allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard"
                    maxBufferPoolSize="524288" maxBufferSize="65536" maxReceivedMessageSize="65536"
                    textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true"
                    messageEncoding="Text">
                    <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
                        maxBytesPerRead="4096" maxNameTableCharCount="16384" />
                    <security mode="None">
                        <transport clientCredentialType="None" proxyCredentialType="None"
                            realm="" />
                        <message clientCredentialType="UserName" algorithmSuite="Default" />
                    </security>
                </binding>
                <binding name="WebServiceImplPortBinding" />
            </basicHttpBinding>
        </bindings>
        <client>
            <endpoint address="http://10.16.25.214:8132/Gateway.svc" binding="basicHttpBinding"
                bindingConfiguration="BasicHttpBinding_IWebService" contract="GatewayService.IWebService"
                name="BasicHttpBinding_IWebService" />
            <endpoint address="http://10.16.25.214:8080/ICSWS/icswebservice"
                binding="basicHttpBinding" bindingConfiguration="WebServiceImplPortBinding"
                contract="GatewayService.WebServiceImpl" name="WebServiceImplPort" />
        </client>
    </system.serviceModel>
<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/></startup></configuration>
